Zoom One - March 21, 2022
import RebrandingAlert from "#content/changelog/_includes/_zoom-one-rebranding-alert.mdx";
Please note that our Meeting API documentation has moved to the following URLs:
- /docs/api/meetings/
- Master account APIs — /docs/api/meetings/ma
The following changes were released on March 21, 2022:
Enhancements
-
Added the new
sip_linksresponse field to theGET /v2/meetings/{meetingId}/invitationAPI. -
Added the new
alternative_host_update_pollsfield to the following APIs:-
POST /v2/users/{userId}/meetings -
PATCH /v2/meetings/{meetingId} -
GET /v2/meetings/{meetingId} -
POST /v2/users/{userId}/webinars -
PATCH /v2/webinars/{webinarId} -
GET /v2/webinars/{webinarId}
-
-
Added the new
meeting_pollingobject with theadvanced_pollsandallow_alternative_host_to_add_editfields, therecord_files_separatelyobject, thedisplay_participant_name,recording_thumbnails,optimize_recording_for_3rd_party_video_editor,recording_highlight,save_panelist_chat,save_poll_results, andsave_close_captionfields to the following APIs:-
PATCH /v2/accounts/{accountId}/settings -
GET /v2/accounts/{accountId}/settings -
PATCH /v2/groups/{groupId}/settings -
GET /v2/groups/{groupId}/settings -
PATCH /v2/users/{userId}/settings -
GET /v2/users/{userId}/settings
-
-
Added the new
always_display_zoom_meeting_as_topic,hide_meeting_description,always_display_zoom_webinar_as_topic, andhide_webinar_descriptionobjects to the following APIs:-
PATCH /v2/accounts/{accountId}/settings -
GET /v2/accounts/{accountId}/settings
-
-
Added the new
upcoming_meetingsandprevious_meetingsvalues to thetypefield to theGET /v2/users/{userId}/meetingsAPI. -
Added the new
occurrencesresponse field to the following APIs:-
POST /v2/meetings/{meetingId}/registrants -
POST /v2/webinars/{webinarId}/registrants
-
-
Added the new
pastJoinedquery field to theGET /report/users/{userId}/meetingsAPI. -
Added the new
first_nameandlast_nameresponse fields to the following APIs:-
GET /v2/report/meetings/{meetingId}/polls -
GET /v2/report/webinars/{webinarId}/polls
-
-
Added the new
pendingresponse field to theGET /v2/accounts/{accountId}/plans/usageAPI. -
Added support for the Zoom United Pro, Business, and Enterprise plans to the
POST /v2/accounts/{accountId}/plansAPI. -
Added support for Zoom Concurrent Meetings Basic and Zoom Concurrent Meetings Plus plans to the
POST /v2/accounts/{accountId}/plans/addonsAPI.
Bug Fixes
-
Fixed an issue where meetings in progress could be edited via the
PATCH /v2/meetings/{meetingId}API. -
Fixed an issue where the default value of the
use_pmifield in thePOST /v2/users/{userId}/meetingsAPI could be set without regard to the existence of a user’s PMI. -
Fixed an issue where invitation content was not translated to the specified language in the
GET /v2/meetings/{meetingId}/invitationAPI. -
Fixed an issue where the
GET /v2/users/{userId}/settingsAPI and the Zoom web portal had different logic for the user’s Zoom Phone license status. -
Fixed an issue where email characters were cased differently and, as a result, were recognized as multiple users in the
POST /v2/meetings/{meetingId}/recordings/registrantsAPI. -
Fixed updating and retrieving issue for the
employee_countfield in the following APIs:-
PATCH /v2/accounts/{accountId}/billing -
GET /v2/accounts/{accountId}/billing
-